<?php /*$r="../";
require_once($r."inc/funciones.php");
$mysqli = connectDB($r);


$productos = $mysqli->query("SELECT * FROM z_productos"); 
while($producto = $productos->fetch_assoc()) { 
    $iva = $producto['iva'];
    $newprecio = 0;
    if($iva>0){
        $idproducto = $producto['id'];
        $qry1=$mysqli->query("SELECT * FROM `z_producto_presentacion` WHERE `idproducto` = $idproducto");
        echo "<h3>SELECT * FROM `z_producto_presentacion` WHERE `idproducto` = $idproducto".'<h3/>';
        $num1 = $qry1->num_rows;
        if($num1>=1){
            while($present = $qry1->fetch_assoc()) {
                $id = $present['id'];
                $precio = $present['precio'];
                $newprecio = calcularPrecioSinIVA($present['precio'],$iva);
                $mysqli->query("UPDATE `z_producto_presentacion` SET minorista='$newprecio'WHERE `id` = $id");
            }
        }
    }else{
        $idproducto = $producto['id'];
        $qry2=$mysqli->query("SELECT * FROM `z_producto_presentacion` WHERE `idproducto` = $idproducto");
        echo "<h3>SELECT * FROM `z_producto_presentacion` WHERE `idproducto` = $idproducto".'<h3/>';
        $num1 = $qry2->num_rows;
        if($num1>=1){
            while($present = $qry2->fetch_assoc()) {
                $id = $present['id'];
                $precio = $present['precio'];
                $newprecio = $present['precio'];
                $mysqli->query("UPDATE `z_producto_presentacion` SET minorista='$newprecio' WHERE `id` = $id");
            }
        }
    }
}

function calcularPrecioSinIVA($precioFinal, $tasaIVA) {
    // Calcula el monto del IVA
    $tasaIVA = ($tasaIVA / 100) + 1;
    $precioSinIVA = $precioFinal / $tasaIVA;
    
    
    return $precioSinIVA;
}